<h1>Picture Upload</h1>
<input 
    style="display: none" 
    type="file" 
    (change)="onFileSelected($event)"
    #imageInput>

    {{selectedFile}}
<button type="button" (click) = "imageInput.click()" >Select image</button>
<button type="button" (click)="onUpload()">Upload</button>